curl --request GET \
--url https://api.staging.payrails.io/payment/frauds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/payment/frauds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/payment/frauds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.staging.payrails.io/payment/frauds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.staging.payrails.io/payment/frauds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.staging.payrails.io/payment/frauds")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.staging.payrails.io/payment/frauds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.staging.payrails.io/payment/frauds?page[after]=qf7pnbyfrr&page[size]=2",
"prev": "https://api.staging.payrails.io/payment/frauds?page[before]=hbe66nh8i8&page[size]=2",
"next": "https://api.staging.payrails.io/payment/frauds?page[after]=xk2h55zsy5&page[size]=2",
"first": "https://api.staging.payrails.io/payment/frauds?page[size]=2",
"last": "https://api.staging.payrails.io/payment/frauds?page[before]=9wkueqcavq&page[size]=2"
},
"results": [
{
"id": "f136fe25-04db-4a64-8a93-5b8b3f97c35b",
"createdAt": "2022-04-22T17:53:36.814Z",
"updatedAt": "2022-04-22T17:53:48.273Z",
"status": "Scored",
"merchantReference": "order_12345",
"holderId": "bf212dd3-854f-4e8a-a7a6-3bddfe20dbe2",
"decision": "Allow",
"workflowExecutionId": "payment-acceptance/6aa0ac3b-df9b-4ac4-95ae-590fc5028c48",
"workflowExecutionActionId": "6aa0ac3b-df9b-4ac4-95ae-590fc5028c48",
"providerId": "b401b73d-3ca0-4639-9b6a-d7a68f3c36c8",
"providerConfigId": "d7872d9d-88b4-44be-a929-ba90e208c9c5",
"providerName": "cybersource",
"providerDisplayName": "Cybersource",
"providerReference": "7259709193376209003955",
"providerAccountDisplayName": "Cybersource DE",
"instrumentId": "e017f2e8-ab46-4eca-ad21-eee3f945fb07",
"instrumentTokenId": "38fa0ee2-3f6e-41c1-8298-7398b2a93bd3",
"workspaceId": "7f9f1882-a103-408d-ac96-46a7021e537a",
"amount": {
"value": "10.00",
"currency": "EUR"
},
"lastOperationResult": "Success",
"meta": {
"risk": {
"allowNative3DS": false,
"merchantDefinedData": {
"yourKey": "yourValue"
}
},
"source": "mobile",
"customer": {
"name": "John",
"lastName": "Doe",
"email": "john.doe@payrails.com",
"reference": "tp_10518af2-48c4-41aa-a3f2-4bb4e9086ec5"
},
"billingAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1"
},
"order": {
"total": {
"value": "22",
"currency": "USD"
},
"deliveryAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1",
"email": "review@visa.com"
},
"billingAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1",
"email": "review@visa.com",
"name": "Joe",
"lastName": "David"
},
"lines": [
{
"id": "3f233c69-5b1a-4794-b8d9-87212e45ab23",
"quantity": 1,
"name": "0c144eb3-4a09-410e-a23e-0875e6f56e47",
"unitPrice": {
"value": "22",
"currency": "USD"
}
}
],
"clientContext": {
"ipAddress": "217.110.239.132",
"osType": "web",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36",
"acceptHeader": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8",
"language": "en-US",
"colorDepth": 24,
"screenHeight": 723,
"screenWidth": 1536,
"timeZoneOffset": 0,
"javaEnabled": false,
"javaScriptEnabled": false
}
}
},
"instrument": {
"id": "15b0069a-913b-4224-b05a-056e89611a51",
"holderId": "788c7c09-a490-4603-915a-e2a957a6cca1",
"createdAt": "2022-04-22T17:53:36.814Z",
"updatedAt": "2022-04-22T17:53:36.814Z",
"paymentMethod": "card",
"description": "Personal card.",
"fingerprint": "739abff0-406a-4d32-8cfb-701e12be5848",
"status": "created",
"futureUsage": "CardOnFile",
"data": {
"network": "visa",
"bin": "411111",
"suffix": "1111",
"expiryMonth": "10",
"expiryYear": "2026",
"holderName": "John Doe"
}
}
},
{
"id": "f136fe25-04db-4a64-8a93-5b8b3f97c35b",
"createdAt": "2022-04-22T17:53:36.814Z",
"updatedAt": "2022-04-22T17:53:48.273Z",
"status": "ReviewRequired",
"merchantReference": "order_12345",
"holderId": "bf212dd3-854f-4e8a-a7a6-3bddfe20dbe2",
"decision": "Review",
"workflowExecutionId": "payment-acceptance/6aa0ac3b-df9b-4ac4-95ae-590fc5028c48",
"workflowExecutionActionId": "6aa0ac3b-df9b-4ac4-95ae-590fc5028c48",
"providerId": "b401b73d-3ca0-4639-9b6a-d7a68f3c36c8",
"providerConfigId": "d7872d9d-88b4-44be-a929-ba90e208c9c5",
"providerName": "cybersource",
"providerDisplayName": "Cybersource",
"providerReference": "7259709193376209003955",
"providerAccountDisplayName": "Cybersource DE",
"instrumentId": "e017f2e8-ab46-4eca-ad21-eee3f945fb07",
"instrumentTokenId": "38fa0ee2-3f6e-41c1-8298-7398b2a93bd3",
"workspaceId": "7f9f1882-a103-408d-ac96-46a7021e537a",
"amount": {
"value": "10.00",
"currency": "EUR"
},
"lastOperationResult": "Success",
"meta": {
"risk": {
"allowNative3DS": false,
"merchantDefinedData": {
"yourKey": "yourValue"
}
},
"source": "mobile",
"customer": {
"name": "John",
"lastName": "Doe",
"email": "john.doe@payrails.com",
"reference": "tp_10518af2-48c4-41aa-a3f2-4bb4e9086ec5"
},
"billingAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1"
},
"order": {
"total": {
"value": "22",
"currency": "USD"
},
"deliveryAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1",
"email": "review@visa.com"
},
"billingAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1",
"email": "review@visa.com",
"name": "Joe",
"lastName": "David"
},
"lines": [
{
"id": "3f233c69-5b1a-4794-b8d9-87212e45ab23",
"quantity": 1,
"name": "0c144eb3-4a09-410e-a23e-0875e6f56e47",
"unitPrice": {
"value": "22",
"currency": "USD"
}
}
],
"clientContext": {
"ipAddress": "217.110.239.132",
"osType": "web",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36",
"acceptHeader": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8",
"language": "en-US",
"colorDepth": 24,
"screenHeight": 723,
"screenWidth": 1536,
"timeZoneOffset": 0,
"javaEnabled": false,
"javaScriptEnabled": false
}
}
},
"instrument": {
"id": "15b0069a-913b-4224-b05a-056e89611a51",
"holderId": "788c7c09-a490-4603-915a-e2a957a6cca1",
"createdAt": "2022-04-22T17:53:36.814Z",
"updatedAt": "2022-04-22T17:53:36.814Z",
"paymentMethod": "card",
"description": "Personal card.",
"fingerprint": "739abff0-406a-4d32-8cfb-701e12be5848",
"status": "created",
"futureUsage": "CardOnFile",
"data": {
"network": "visa",
"bin": "411111",
"suffix": "1111",
"expiryMonth": "10",
"expiryYear": "2026",
"holderName": "John Doe"
}
}
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Search & list Fraud checks
Fetch a list of fraud checks.
curl --request GET \
--url https://api.staging.payrails.io/payment/frauds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/payment/frauds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/payment/frauds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.staging.payrails.io/payment/frauds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.staging.payrails.io/payment/frauds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.staging.payrails.io/payment/frauds")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.staging.payrails.io/payment/frauds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.staging.payrails.io/payment/frauds?page[after]=qf7pnbyfrr&page[size]=2",
"prev": "https://api.staging.payrails.io/payment/frauds?page[before]=hbe66nh8i8&page[size]=2",
"next": "https://api.staging.payrails.io/payment/frauds?page[after]=xk2h55zsy5&page[size]=2",
"first": "https://api.staging.payrails.io/payment/frauds?page[size]=2",
"last": "https://api.staging.payrails.io/payment/frauds?page[before]=9wkueqcavq&page[size]=2"
},
"results": [
{
"id": "f136fe25-04db-4a64-8a93-5b8b3f97c35b",
"createdAt": "2022-04-22T17:53:36.814Z",
"updatedAt": "2022-04-22T17:53:48.273Z",
"status": "Scored",
"merchantReference": "order_12345",
"holderId": "bf212dd3-854f-4e8a-a7a6-3bddfe20dbe2",
"decision": "Allow",
"workflowExecutionId": "payment-acceptance/6aa0ac3b-df9b-4ac4-95ae-590fc5028c48",
"workflowExecutionActionId": "6aa0ac3b-df9b-4ac4-95ae-590fc5028c48",
"providerId": "b401b73d-3ca0-4639-9b6a-d7a68f3c36c8",
"providerConfigId": "d7872d9d-88b4-44be-a929-ba90e208c9c5",
"providerName": "cybersource",
"providerDisplayName": "Cybersource",
"providerReference": "7259709193376209003955",
"providerAccountDisplayName": "Cybersource DE",
"instrumentId": "e017f2e8-ab46-4eca-ad21-eee3f945fb07",
"instrumentTokenId": "38fa0ee2-3f6e-41c1-8298-7398b2a93bd3",
"workspaceId": "7f9f1882-a103-408d-ac96-46a7021e537a",
"amount": {
"value": "10.00",
"currency": "EUR"
},
"lastOperationResult": "Success",
"meta": {
"risk": {
"allowNative3DS": false,
"merchantDefinedData": {
"yourKey": "yourValue"
}
},
"source": "mobile",
"customer": {
"name": "John",
"lastName": "Doe",
"email": "john.doe@payrails.com",
"reference": "tp_10518af2-48c4-41aa-a3f2-4bb4e9086ec5"
},
"billingAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1"
},
"order": {
"total": {
"value": "22",
"currency": "USD"
},
"deliveryAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1",
"email": "review@visa.com"
},
"billingAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1",
"email": "review@visa.com",
"name": "Joe",
"lastName": "David"
},
"lines": [
{
"id": "3f233c69-5b1a-4794-b8d9-87212e45ab23",
"quantity": 1,
"name": "0c144eb3-4a09-410e-a23e-0875e6f56e47",
"unitPrice": {
"value": "22",
"currency": "USD"
}
}
],
"clientContext": {
"ipAddress": "217.110.239.132",
"osType": "web",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36",
"acceptHeader": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8",
"language": "en-US",
"colorDepth": 24,
"screenHeight": 723,
"screenWidth": 1536,
"timeZoneOffset": 0,
"javaEnabled": false,
"javaScriptEnabled": false
}
}
},
"instrument": {
"id": "15b0069a-913b-4224-b05a-056e89611a51",
"holderId": "788c7c09-a490-4603-915a-e2a957a6cca1",
"createdAt": "2022-04-22T17:53:36.814Z",
"updatedAt": "2022-04-22T17:53:36.814Z",
"paymentMethod": "card",
"description": "Personal card.",
"fingerprint": "739abff0-406a-4d32-8cfb-701e12be5848",
"status": "created",
"futureUsage": "CardOnFile",
"data": {
"network": "visa",
"bin": "411111",
"suffix": "1111",
"expiryMonth": "10",
"expiryYear": "2026",
"holderName": "John Doe"
}
}
},
{
"id": "f136fe25-04db-4a64-8a93-5b8b3f97c35b",
"createdAt": "2022-04-22T17:53:36.814Z",
"updatedAt": "2022-04-22T17:53:48.273Z",
"status": "ReviewRequired",
"merchantReference": "order_12345",
"holderId": "bf212dd3-854f-4e8a-a7a6-3bddfe20dbe2",
"decision": "Review",
"workflowExecutionId": "payment-acceptance/6aa0ac3b-df9b-4ac4-95ae-590fc5028c48",
"workflowExecutionActionId": "6aa0ac3b-df9b-4ac4-95ae-590fc5028c48",
"providerId": "b401b73d-3ca0-4639-9b6a-d7a68f3c36c8",
"providerConfigId": "d7872d9d-88b4-44be-a929-ba90e208c9c5",
"providerName": "cybersource",
"providerDisplayName": "Cybersource",
"providerReference": "7259709193376209003955",
"providerAccountDisplayName": "Cybersource DE",
"instrumentId": "e017f2e8-ab46-4eca-ad21-eee3f945fb07",
"instrumentTokenId": "38fa0ee2-3f6e-41c1-8298-7398b2a93bd3",
"workspaceId": "7f9f1882-a103-408d-ac96-46a7021e537a",
"amount": {
"value": "10.00",
"currency": "EUR"
},
"lastOperationResult": "Success",
"meta": {
"risk": {
"allowNative3DS": false,
"merchantDefinedData": {
"yourKey": "yourValue"
}
},
"source": "mobile",
"customer": {
"name": "John",
"lastName": "Doe",
"email": "john.doe@payrails.com",
"reference": "tp_10518af2-48c4-41aa-a3f2-4bb4e9086ec5"
},
"billingAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1"
},
"order": {
"total": {
"value": "22",
"currency": "USD"
},
"deliveryAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1",
"email": "review@visa.com"
},
"billingAddress": {
"city": "Berlin",
"country": {
"code": "DE"
},
"postalCode": "10405",
"street": "Straßburger Straße",
"doorNumber": "1",
"email": "review@visa.com",
"name": "Joe",
"lastName": "David"
},
"lines": [
{
"id": "3f233c69-5b1a-4794-b8d9-87212e45ab23",
"quantity": 1,
"name": "0c144eb3-4a09-410e-a23e-0875e6f56e47",
"unitPrice": {
"value": "22",
"currency": "USD"
}
}
],
"clientContext": {
"ipAddress": "217.110.239.132",
"osType": "web",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36",
"acceptHeader": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8",
"language": "en-US",
"colorDepth": 24,
"screenHeight": 723,
"screenWidth": 1536,
"timeZoneOffset": 0,
"javaEnabled": false,
"javaScriptEnabled": false
}
}
},
"instrument": {
"id": "15b0069a-913b-4224-b05a-056e89611a51",
"holderId": "788c7c09-a490-4603-915a-e2a957a6cca1",
"createdAt": "2022-04-22T17:53:36.814Z",
"updatedAt": "2022-04-22T17:53:36.814Z",
"paymentMethod": "card",
"description": "Personal card.",
"fingerprint": "739abff0-406a-4d32-8cfb-701e12be5848",
"status": "created",
"futureUsage": "CardOnFile",
"data": {
"network": "visa",
"bin": "411111",
"suffix": "1111",
"expiryMonth": "10",
"expiryYear": "2026",
"holderName": "John Doe"
}
}
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Query Parameters
Boolean indicating if the payment instrument should be included in the response.
Boolean indicating if the holder reference should be included in the response.
Filter for a list of fraud checks by ID.
Filter for a list of fraud checks by provider ID.
Filter for a list of fraud checks by provider config ID.
Filter for a list of fraud checks by provider reference.
Filter for a list of fraud checks by holder ID.
Filter for a list of fraud checks by holder reference.
Filter for a list of fraud checks by workflow execution ID.
Filter for a list of fraud checks by latest payment status.
Filter for a list of fraud checks by any decision.
Filter for a list of fraud checks by instrument ID.
Filter for a list of fraud checks by instrument BIN.
Filter for a list of fraud checks by instrument suffix.
Filter for a list of fraud checks by card network.
Filter for a list of fraud checks by instrument issuer.
Filter for a list of fraud checks by instrument issuer country.
Filter for a list of fraud checks by instrument future usage.
Filter by Workspace ID.
Filter by createdAt field using interval notation.
1973-02-03T04:32:11.596Z - exact date value
(1973-02-03T04:32:11.596Z - after the date excluding it
[1973-02-03T04:32:11.596Z - after the date including it
1973-02-03T04:32:11.596Z) - before the date excluding it
1973-02-03T04:32:11.596Z] - before the date including it
(1973-02-03T04:32:11.596Z,1973-04-03T03:20:11.436Z) - between two dates excluding both
(1973-02-03T04:32:11.596Z,1973-04-03T03:20:11.436Z] - between two dates excluding on the left
[1973-02-03T04:32:11.596Z,1973-04-03T03:20:11.436Z) - between two dates excluding on the right
[1973-02-03T04:32:11.596Z,1973-04-03T03:20:11.436Z] - between two dates including both.
"[2026-04-01T00:00:00Z,2026-05-01T00:00:00Z)"
Search collection items from that cursor. Cursor for paging results.
Search collection items after that cursor. Cursor for paging results.
Search collection items before that cursor. Cursor for paging results.
Length of the collection to search.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the Fraud check in Payrails.
Exact date and time when the Fraud check was created in Payrails. Possibly differs slightly from the date in the fraud provider.
Exact date and time when the Fraud check was last updated in Payrails. Possibly differs slightly from the date in the fraud provider.
Current status of the Fraud check in Payrails.
Created, ReviewRequired, Scored, Pending, Failed, Unknown Merchant-specific identifier of the execution. This can be used for searching for the Fraud check later.
Unique identifier of the Provider that was used to process the Fraud check.
Unique identifier of the merchant-specific Provider Configuration that was used to process the Fraud check. This can include the set of credentials used, the merchant account, etc.
Metadata for the context of an execution. Includes Payrails-defined structures for most common fields used in workflows, but can also be extended by merchant or provider-specific fields. For more information, visit our Meta Fields guide. See Meta for every field.
Workspace ID that the Fraud check belongs to.
Merchant-provided reference for the Execution. Commonly, the identifier of the order on the Merchant's system.
"order_15415"
Merchant-provided reference for the transaction counterparty, i.e. the paying consumer.
Unique identifier of the Holder in Payrails.
Decision taken by the fraud provider.
Allow, Review, Prevent, Challenge, NoDecision, Ignore Identifier of the action in the Workflow that led to this Fraud check.
Name of the Provider that was used to process the Fraud check, e.g. Adyen, Checkout, Stripe.
Display name of the Provider that was used to process the Fraud check.
Unique identifier of the Fraud check in an external system, e.g. Fraud provider.
Display name of the Provider Account/Configuration that was used to process the Fraud check.
Unique identifier of the Instrument that was used for the Payment in Payrails.
Unique identifier of the specific Token inside the Instrument used for the Payment in Payrails.
Hide child attributes
Hide child attributes
Id of the instrument.
Date and time when the Instrument was created in Payrails.
When the Instrument was last updated.
Unique identifier of the Holder in Payrails.
Represents the payment method type.
alexBankMa7fazty, applePay, audi2pay, bankAccount, card, 2c2p, vietQR, cibSmartWallet, easypaisa, etisalatCash, fawryMobileWallet, fawryPay, googlePay, jazzCash, nbePhoneCash, orangeCash, payPal, qnbEWallet, weCash, genericRedirect, alfa, konnect, eftPro, netBanking, upi, cashFreeWallet, paytmWallet, phonePe, iDeal, bancontact, klarnaPayLater, klarnaPayNow, klarnaPayOverTime, scalapay, payNow, atome, fpx, swish Status of the instrument.
created, deleted, enabled, disabled, transient Instrument name suitable for display.
Description of the instrument.
True if this instrument is set as default for the holder.
Merchant-provided reference for the instrument.
System-wide unique identifier of the Instrument. If two Holders have the same instrument stored, this value will be the same for both, but the instrument and token IDs will be different. Cannot be used for payments, should only be used for analytics and fraud prevention.
Represents the future usage to define the payment flows that the stored instrument will be used for.
Subscription, CardOnFile, UnscheduledCardOnFile Identifier of the initial payment made with this instrument on the Networks, e.g. Mastercard Trace ID or Visa Transaction ID.
Mastercard Transaction Link Identifier (TLID) of the transaction series this instrument belongs to. Returned by the card network on the initial cardholder-initiated transaction and required on economically related merchant-initiated transactions, such as recurring payments and installments, when the series spans payment providers.
Type-specific information about the instrument.
- Card
- BankAccount
- PayPal
- GooglePay
- ApplePay
- DCB
- MBWay
Hide child attributes
Hide child attributes
Network of the instrument.
unspecified, visa, visadankort, mastercard, amex, diners, discover, unionpay, unionpayuzcard, maestro, maestrobancontact, hipercard, jcb, jcblankapay, argencard, aura, belkart, bpfuelcard, cabal, carnet, cirrus, chjonesfuelcard, uzcard, codensa, dankort, dinacard, duet, ebt, eftpos, elo, euroshellfuelcard, gecapital, bc, hrgstore, humo, lankapay, lukoilfuelcard, bancontact, meeza, newday, mir, ourocard, pagobancomat, paypak, paypal, phhfuelcard, prostir, rupay, sbercard, sodexo, starrewards, cencosud, naranja, troy, uatp, ukfuelcard, verve, voyager, vpay, wex, cmi, atm, bankcard, localbrand, loyalty, privatelabel, fuelcard, redfuelcard, redliquidfuelcard First 6-8 digits of the Card number. Also known as IIN (Issuer Identification Number).
6 - 8"416598"
Last digits of the Card number.
4Network of the instrument.
unspecified, visa, visadankort, mastercard, amex, diners, discover, unionpay, unionpayuzcard, maestro, maestrobancontact, hipercard, jcb, jcblankapay, argencard, aura, belkart, bpfuelcard, cabal, carnet, cirrus, chjonesfuelcard, uzcard, codensa, dankort, dinacard, duet, ebt, eftpos, elo, euroshellfuelcard, gecapital, bc, hrgstore, humo, lankapay, lukoilfuelcard, bancontact, meeza, newday, mir, ourocard, pagobancomat, paypak, paypal, phhfuelcard, prostir, rupay, sbercard, sodexo, starrewards, cencosud, naranja, troy, uatp, ukfuelcard, verve, voyager, vpay, wex, cmi, atm, bankcard, localbrand, loyalty, privatelabel, fuelcard, redfuelcard, redliquidfuelcard Information about an issuer by the given BIN (or IIN).
Hide child attributes
Hide child attributes
First 6-8 digits of the Card number. Also known as IIN (Issuer Identification Number).
6 - 8"416598"
Network of the instrument.
unspecified, visa, visadankort, mastercard, amex, diners, discover, unionpay, unionpayuzcard, maestro, maestrobancontact, hipercard, jcb, jcblankapay, argencard, aura, belkart, bpfuelcard, cabal, carnet, cirrus, chjonesfuelcard, uzcard, codensa, dankort, dinacard, duet, ebt, eftpos, elo, euroshellfuelcard, gecapital, bc, hrgstore, humo, lankapay, lukoilfuelcard, bancontact, meeza, newday, mir, ourocard, pagobancomat, paypak, paypal, phhfuelcard, prostir, rupay, sbercard, sodexo, starrewards, cencosud, naranja, troy, uatp, ukfuelcard, verve, voyager, vpay, wex, cmi, atm, bankcard, localbrand, loyalty, privatelabel, fuelcard, redfuelcard, redliquidfuelcard Card local network that supports the card, e.g. CartesBancaires, Dankort, Mada, Bancontact.
bancontact, cartesbancaires, dankort, mada Name of the bank or institution that issued the card.
Country of the bank or institution that issued the card.
Hide child attributes
Hide child attributes
ISO 3166-1 alpha-2 country code.
^[A-Z]{2}$ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.
^[A-Z]{3}$The English name of the country. Returned by Payrails, but not interpreted in requests.
Segment of the card, e.g. gold, black, business.
Type of the card, e.g. credit, debit, prepaid, gift.
More information about the card type, e.g. personal, commercial.
Indicates whether the card credential represents a network token rather than a primary account number (PAN).
Indicates whether the card is enrolled in a Flexible Credential or Flex Card program supported by the network - e.g. Visa Flexible Credential, Mastercard FlexCard.
Billing Address of the instrument.
Hide child attributes
Hide child attributes
The name of the street of a postal address.
The number on the door, building, or room.
Additional addressing information, 2nd line of postal address.
The name of the suburb or area within a city.
The name of the city of a postal address.
The postal code.
The name of the state a postal address is in.
The country where the address is in.
Hide child attributes
Hide child attributes
ISO 3166-1 alpha-2 country code.
^[A-Z]{2}$ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.
^[A-Z]{3}$The English name of the country. Returned by Payrails, but not interpreted in requests.
Latitude of the address in the GPS coordinate system.
Longitude of the address in the GPS coordinate system.
The phone to contact in the address (can be different that the customer's).
Hide child attributes
Hide child attributes
Name of the address, e.g. home, work.
Name of the person to whom the address belongs to.
Last name of the person to whom the address belongs to.
Email of the person to whom the address belongs to.
Expiry month of the Card.
2Expiry year of the Card.
4Name of the owner of the Card.
Payer-provided tax identification number (e.g. CPF in Brazil) collected on the instrument.
Last operation result.
Success, Unknown, Timeout, ProviderTimeout, UnexpectedProviderResponse, ProviderUnknownError, ProviderConnectionError, DuplicateOperation, OperationNotAllowed, ValidationError, ParamsError, ProviderConfigError, InvalidSignature, InternalServerError, AuthenticationError